Class | Amalgalite::BusyHandler
In: | lib/amalgalite/busy_timeout.rb lib/amalgalite/busy_timeout.rb
Parent: | Object

A base class for use in creating your own busy handler classes

### Methods

arity arity call call to_proc to_proc

### Public Instance methods

arity()

the arity of the call method

arity()

the arity of the call method

call( count )

Override this method, returning `false` if the SQLite should return SQLITE_BUSY for all parties involved in the lock, and anything else if the lock attempt should be tried again.

call( count )

Override this method, returning `false` if the SQLite should return SQLITE_BUSY for all parties involved in the lock, and anything else if the lock attempt should be tried again.

to_proc()
to_proc()

[Validate]